Open CASCADE Technology: Vrml_Separator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Vrml_Separator Class Reference

defines a Separator node of VRML specifying group properties. This group node performs a push (save) of the traversal state before traversing its children and a pop (restore) after traversing them. This isolates the separator's children from the rest of the scene graph. A separator can include lights, cameras, coordinates, normals, bindings, and all other properties. Separators can also perform render culling. Render culling skips over traversal of the separator's children if they are not going to be rendered, based on the comparison of the separator's bounding box with the current view volume. Culling is controlled by the renderCulling field. These are set to AUTO by default, allowing the implementation to decide whether or not to cull. More...

`#include <Vrml_Separator.hxx>`

## Public Member Functions
| Vrml_Separator (const Vrml_SeparatorRenderCulling aRenderCulling)
| Vrml_Separator ()
void | SetRenderCulling (const Vrml_SeparatorRenderCulling aRenderCulling)
Vrml_SeparatorRenderCulling | RenderCulling () const
Standard_OStream & | Print (Standard_OStream &anOStream)

## Detailed Description

defines a Separator node of VRML specifying group properties. This group node performs a push (save) of the traversal state before traversing its children and a pop (restore) after traversing them. This isolates the separator's children from the rest of the scene graph. A separator can include lights, cameras, coordinates, normals, bindings, and all other properties. Separators can also perform render culling. Render culling skips over traversal of the separator's children if they are not going to be rendered, based on the comparison of the separator's bounding box with the current view volume. Culling is controlled by the renderCulling field. These are set to AUTO by default, allowing the implementation to decide whether or not to cull.

## Constructor & Destructor Documentation

Vrml_Separator::Vrml_Separator | ( | const Vrml_SeparatorRenderCulling | aRenderCulling | ) |

Vrml_Separator::Vrml_Separator | ( |  | ) |

## Member Function Documentation

Standard_OStream& Vrml_Separator::Print | ( | Standard_OStream & | anOStream | ) |

Vrml_SeparatorRenderCulling Vrml_Separator::RenderCulling | ( |  | ) | const

void Vrml_Separator::SetRenderCulling | ( | const Vrml_SeparatorRenderCulling | aRenderCulling | ) |

The documentation for this class was generated from the following file:

- Vrml_Separator.hxx